none
Al abrir el sql y ver en el object explorer no encuentro el Agent SQL Server RRS feed

  • Pregunta

  • Hola.

    Al abrir el sql y ver en el object explorer no encuentro el Agent SQL Server

    y necesito crear un job que se ejecute todas las noches el cual me libere memoria en el sql

    pero el detalle es que no esta el sql Agente en el object explorer, como puedo hacer para verlo.

    Tengo instalado el Sql Server 2012

    sábado, 24 de junio de 2017 19:58

Respuestas

  • que versión de SSMS debo descargar para trabajar conAgente SQL Server  

    Hacen falta DOS requisitos para trabajar con el Agente:

    - Que la edición de SQL Server NO SEA la Express.

    - Que la edición de SSMS NO SEA la Express.

    Además de eso, y para no tener problemas, conviene que descargues un SSMS cuya versión sea mayor o igual que la de SQL Server, es decir, si tienes un SQL Server 2012 te interesa que el SSMS también sea como mínimo un 2012. E insisto: ninguno de los dos puede ser Express (ni el SQL Server ni el SSMS).

    • Propuesto como respuesta Enrique AA domingo, 25 de junio de 2017 22:33
    • Marcado como respuesta Joyce_ACModerator lunes, 26 de junio de 2017 13:39
    domingo, 25 de junio de 2017 20:02

Todas las respuestas

  • Revisa primero que se encuentre activo el servicio, para esto debes abrir el SQL Server configuratin manager, ahi debe estar activo el SQL Server Agent perteneciente a tu instancia, en caso que no lo estes debes arrancar dicho servicio (click derecho Iniciar). 

    "Oh, the wind, the wind is blowing,through the graves the wind is blowing,Freedom soon will come; then well come from the shadows".The Partisan(Leonard Cohen) Email: me[at]geohernandez.net Blog:www.geohernandez.net

    sábado, 24 de junio de 2017 20:39
  • si ya lo Inicie  el Agente SQL server  ya esta ejecutando  y luego lo reinicie  la maquina  para que actualice también lo lo Reinicie el servidor de Base de datos. Al abrir el sql y ver en el object explorer no encuentro el Agent SQL Server

    Quiero que me Muestre tal como esta en esta imagen:

    https://i.stack.imgur.com/FUNGu.jpg

    sábado, 24 de junio de 2017 21:38
  • Una explicacion para que no puedas ver esa opcion son los pemisos que tenga tu usuario, asumo que es sysadmin o no?, otra opcion es con que version de SSMS estas trabajando y de SQL Server.

    Aqui un link de interes (en ingles), pero vamos que basicamente las posibles causas son las antes mencionadas:

    https://social.msdn.microsoft.com/Forums/sqlserver/en-US/fa17e59a-b676-4e87-b71b-ca6316250467/sql-server-agent-not-appearing-in-management-studio?forum=sqldatabaseengine


    "Oh, the wind, the wind is blowing,through the graves the wind is blowing,Freedom soon will come; then well come from the shadows".The Partisan(Leonard Cohen) Email: me[at]geohernandez.net Blog:www.geohernandez.net

    sábado, 24 de junio de 2017 22:39
  • HOLA Geovanny -Gio-Hernandez si se tratara de la versión que versión de SSMS debo descargar para trabajar conAgente SQL Server   SQL SERVER 2016 ó SQL SERVER 2012 

    ES QUE QUIERO PARA EJECUTAR AUTOMÁTICAMENTE UN PROCEDIENDO ALMACENADO CADA VEZ QUE INICIA LA BASE DE DATOS...Y PISO QUE PUEDO HACERLO CON EL Agente SQL Server.

    Gracias por su respuesta



    sábado, 24 de junio de 2017 23:35
  • Hola Wagner, recuerda que el SSMS al final es una interfaz que te permite gestionar una instancia de SQL Server, lo idóneo es que descargues una versión de SSMS que coincida con la versión de tu instancia, es decir si en el Server esta instalado SQL Server 2016 entonces descarga e instala esta versión.  

    "Oh, the wind, the wind is blowing,through the graves the wind is blowing,Freedom soon will come; then well come from the shadows".The Partisan(Leonard Cohen) Email: me[at]geohernandez.net Blog:www.geohernandez.net

    domingo, 25 de junio de 2017 18:58
  • que versión de SSMS debo descargar para trabajar conAgente SQL Server  

    Hacen falta DOS requisitos para trabajar con el Agente:

    - Que la edición de SQL Server NO SEA la Express.

    - Que la edición de SSMS NO SEA la Express.

    Además de eso, y para no tener problemas, conviene que descargues un SSMS cuya versión sea mayor o igual que la de SQL Server, es decir, si tienes un SQL Server 2012 te interesa que el SSMS también sea como mínimo un 2012. E insisto: ninguno de los dos puede ser Express (ni el SQL Server ni el SSMS).

    • Propuesto como respuesta Enrique AA domingo, 25 de junio de 2017 22:33
    • Marcado como respuesta Joyce_ACModerator lunes, 26 de junio de 2017 13:39
    domingo, 25 de junio de 2017 20:02